Validator
Get upload URL
Get a presigned URL for uploading per-problem evaluation logs.
POST
/v1/validator/uploads/presignRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/v1/validator/uploads/presign" \ -H "Content-Type: application/json" \ -d '{ "content_length": 0, "eval_run_id": "8022d801-acb6-4836-b536-3cd4138b6ae0", "problem_id": "9edf0a7c-64c3-4960-a497-d801a548ec4c" }'{
"upload_url": "string",
"method": "PUT",
"results_s3_key": "string",
"expires_at": "2019-08-24T14:15:22Z"
}{
"detail": "string",
"error_code": "FILE_TOO_LARGE"
}{
"detail": "string",
"error_code": "EVAL_RUN_NOT_FOUND"
}{
"detail": "string",
"error_code": "NOT_RUN_OWNER"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}